
# pytrnsys: The python TRNSYS tool kit
 
The pytrnsys package provides a complete framework to run and process, plot and report 
TRNSYS simulations. It is designed to give researchers a fast,
fully automatized and easily reproducible way to execute and share TRNSYS simulations by the use of a single short
configuration file. In addition, a large variety of commands is accessible
to post-process simulation results in one shot.

## Documentation

The documentation can be found on [pytrnsys.readthedocs.io](https://pytrnsys.readthedocs.io).

## About

This code was not initially developed with the intention to be shared with others outside our institute SPF,
but after realizing that it could help the community to have a better workflow with TRNSYS, we decided to share it.

#### Developers: 
- Daniel Carbonell : Institut für Solartechnik SPF, Rapperswil, Switzerland.
- Jeremias Schmidli : Institut für Solartechnik SPF, Rapperswil, Switzerland.
- Maike Schubert: Institut für Solartechnik SPF, Rapperswil, Switzerland.
- Martin Neugebauer: Institut für Solartechnik SPF, Rapperswil, Switzerland.
- Mattia Battaglia : Institut für Solartechnik SPF, Rapperswil, Switzerland.

## Acknowledgements
 
A first version of this package was created in 2013 and since then it has evolved considerably. 
We would like to thank the Swiss Federal Office Of Energy (SFOE) 
who supported many projects related to simulations of renewable energy systems where this code has been developed. 
We would also like to thank the European Union’s Horizon 2020 research and innovation programme
for the funding received in TRI-HP under the Grant Agreement No. 81488. 
This project allowed to decicate efforts in sharing the code with the consortium and to make the code usable for the others.  